TANH(3)

NAME
tanh, tanhf, tanhl - hyperbolic tangent functions

SYNOPSIS
libm
#include <math.h>
double
tanh(double x);
float
tanhf(float x);
long double
tanhl(long double x);

DESCRIPTION
The tanh() function computes the hyperbolic tangent of x. The tanhf() function is a single precision version of tanh(). The tanhl() function is an extended precision version of tanh().

RETURN VALUES
The tanh(), tanhf(), and tanhl() functions return the hyperbolic tangent value.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), sin(3), sinh(3), tan(3)

STANDARDS
The tanh() function conforms to ansiC.

HISTORY
The tanh() function first appeared in AT&T UNIX.